{
    attributes = (
        {
            columnName = "FANN_KEY"; 
            externalType = NUMBER; 
            name = fannKey; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "MCOM_CODE"; 
            externalType = VARCHAR2; 
            name = mcomCode; 
            valueClassName = NSString; 
            valueType = S; 
            width = 50; 
        }, 
        {
            columnName = "MCOM_COMPTABILISABLE"; 
            externalType = NUMBER; 
            name = mcomComptabilisable; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "MCOM_FINAL"; 
            externalType = NUMBER; 
            name = mcomFinal; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "MCOM_FORMULE"; 
            externalType = VARCHAR2; 
            name = mcomFormule; 
            valueClassName = NSString; 
            valueType = S; 
            width = 500; 
        }, 
        {
            columnName = "MCOM_IMPRIMABLE"; 
            externalType = NUMBER; 
            name = mcomImprimable; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "MCOM_KEY"; 
            externalType = NUMBER; 
            name = mcomKey; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "MCOM_NIVEAU"; 
            externalType = NUMBER; 
            name = mcomNiveau; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "MCOM_NOTE_BASE"; 
            externalType = NUMBER; 
            name = mcomNoteBase; 
            precision = 6; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "MCOM_NOTE_OBTENTION"; 
            externalType = NUMBER; 
            name = mcomNoteObtention; 
            precision = 6; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "MSEM_KEY"; 
            externalType = NUMBER; 
            name = msemKey; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (
        fannKey, 
        mcomCode, 
        mcomComptabilisable, 
        mcomFinal, 
        mcomFormule, 
        mcomImprimable, 
        mcomKey, 
        mcomNiveau, 
        mcomNoteBase, 
        mcomNoteObtention, 
        msemKey
    ); 
    className = "org.cocktail.scolaritefwk.serveur.metier.eos.EOScolMaquetteCompensation"; 
    classProperties = (
        mcomCode, 
        mcomComptabilisable, 
        mcomFinal, 
        mcomFormule, 
        mcomImprimable, 
        mcomNiveau, 
        mcomNoteBase, 
        mcomNoteObtention, 
        "toFwkScolarite_ScolFormationAnnee", 
        "toFwkScolarite_ScolMaquetteSemestre"
    ); 
    externalName = "SCOLARITE.SCOL_MAQUETTE_COMPENSATION"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_javaClientClassName" = "org.cocktail.scolaritefwk.client.metier.eos.EOScolMaquetteCompensation"; 
    }; 
    name = "FwkScolarite_ScolMaquetteCompensation"; 
    primaryKeyAttributes = (mcomKey); 
    relationships = (
        {
            destination = "FwkScolarite_ScolFormationAnnee"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fannKey; sourceAttribute = fannKey; }); 
            name = "toFwkScolarite_ScolFormationAnnee"; 
        }, 
        {
            destination = "FwkScolarite_ScolMaquetteSemestre"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = msemKey; sourceAttribute = msemKey; }); 
            name = "toFwkScolarite_ScolMaquetteSemestre"; 
        }
    ); 
}
